Bug 538196 - Xorg constantly writes to log file
Summary: Xorg constantly writes to log file
Keywords:
Status: CLOSED DUPLICATE of bug 528312
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-17 21:36 UTC by william hanlon
Modified: 2018-04-11 09:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-11 22:14:27 UTC
Type: ---


Attachments (Terms of Use)
2000 lines from Xorg.0.log (132.60 KB, text/plain)
2009-11-17 21:36 UTC, william hanlon
no flags Details
3395 lines from Xorg.0.log (225.59 KB, text/plain)
2009-11-18 14:27 UTC, Marcela Mašláňová
no flags Details
smolt profile (5.97 KB, text/plain)
2009-11-30 16:46 UTC, william hanlon
no flags Details
Xorg.0.log from Kernel.org 2.6.31.6 with RT patch (7.19 MB, application/octet-stream)
2009-12-06 23:42 UTC, Eric Dana
no flags Details
output of udevadm during Xorg malfunction (496.00 KB, application/octet-stream)
2009-12-10 20:24 UTC, william hanlon
no flags Details
output of udevadm during Xorg malfunction (496.00 KB, text/plain)
2009-12-10 20:26 UTC, william hanlon
no flags Details

Description william hanlon 2009-11-17 21:36:33 UTC
Created attachment 369961 [details]
2000 lines from Xorg.0.log

Description of problem:
Xorg is constantly writing to /var/log/Xorg.0.log. It is therefore constantly running at a high percentage of the CPU (averaging ~60%, peaking at ~80%). The size of /var/log/Xorg.0.log is growing at a rate of about 38 kBytes/sec. This makes the entire system sluggish, keeps freezing up for several seconds at a time, and is essentially UNUSABLE. It took me five minutes to get this description typed into the form here.

Version-Release number of selected component (if applicable):
xorg-x11-server-common-1.7.1-7.fc12.i686

X.Org X Server 1.7.1
Release Date: 2009-10-23
X Protocol Version 11, Revision 0
Build Date: 05 November 2009  07:43:20PM
Build ID: xorg-x11-server 1.7.1-7.fc12

How reproducible:
Always. 


Steps to Reproduce:
1. Start Fedora 12 in runlevel 5.
  
Actual results:
System is extrememly sluggish, CPU usage is near 100% being used by Xorg, and /var/log/Xorg.0.log grows at 38 kB/sec.

Expected results:
Xorg shouldn't write to the log constantly and shouldn't use so much CPU time.

Additional info:
It looks like Xorg is writing the same things over and over to the log.

Comment 1 Marcela Mašláňová 2009-11-18 14:27:36 UTC
Created attachment 370093 [details]
3395 lines from Xorg.0.log

Comment 2 Marcela Mašláňová 2009-11-18 14:29:29 UTC
50% of memory is consumed. Xorg must be restarted because there is no other way how persuade Xorg.
xorg-x11-server-common-1.7.1-7.fc12.x86_64
Graphics: intel

Comment 3 Matěj Cepl 2009-11-18 18:18:11 UTC
Chat on IRC:

[17:52:03] ajax: output hotplug interrupt storm.
[17:52:07] ajax: kernel bug.

Comment 4 william hanlon 2009-11-25 18:51:13 UTC
(In reply to comment #3)
> Chat on IRC:
> 
> [17:52:03] ajax: output hotplug interrupt storm.
> [17:52:07] ajax: kernel bug.  

what does this mean? Is there something I can do to prevent the constant logging??

It seems that the problem can actually disappear occasionally, but I don't know under what circumstances. I had it running stably for a few days, but then I did a reboot and it started all over again. After several reboots, it started stable (i.e., not constantly writing to disk), but then after a couple of hours it is back at it again.

Help, please.

Comment 5 william hanlon 2009-11-30 16:46:26 UTC
Created attachment 374808 [details]
smolt profile

This problem is also present when running a Fedora 12 liveUSB.

Comment 6 Eric Dana 2009-12-06 23:32:25 UTC
This is also reproducible under the following conditions:
   Fedora 12 with latest updates (as of Dec 3, 2009).
   Linux kernel 2.6.31.6 with RT patches.
   GNOME UI.
   No KDE.
   No CONFIG_KMS.

The same machine booted using Fedora 12 Linux kernel 2.6.31.6 works OK.
Attaching Xorg.0.conf.

Comment 7 Eric Dana 2009-12-06 23:36:06 UTC
This is also reproducible under the following conditions:
   Fedora 12 with latest updates (as of Dec 3, 2009).
   Linux kernel 2.6.31.6 with RT patches.
   GNOME UI.
   No KDE.
   No CONFIG_KMS.

The same machine booted using Fedora 12 Linux kernel 2.6.31.6 works OK.
Attaching Xorg.0.conf.

Comment 8 Eric Dana 2009-12-06 23:42:50 UTC
Created attachment 376536 [details]
Xorg.0.log from Kernel.org 2.6.31.6 with RT patch

Comment 9 william hanlon 2009-12-10 20:24:10 UTC
Created attachment 377582 [details]
output of udevadm during Xorg malfunction

Attaching output of udevadm --debug monitor when Xorg is constantly going crazy and writing to the log file. When the system is running normally udevadm --debug monitor shows no activity for this device.

Here's how the log grows for 20 seconds of activity:
1260397970 -rw-r--r--. 1 root root 45067071 2009-12-09 16:32 /var/log/Xorg.0.log
1260397971 -rw-r--r--. 1 root root 45111592 2009-12-09 16:32 /var/log/Xorg.0.log
1260397972 -rw-r--r--. 1 root root 45163687 2009-12-09 16:32 /var/log/Xorg.0.log
1260397973 -rw-r--r--. 1 root root 45223143 2009-12-09 16:32 /var/log/Xorg.0.log
1260397974 -rw-r--r--. 1 root root 45275167 2009-12-09 16:32 /var/log/Xorg.0.log
1260397975 -rw-r--r--. 1 root root 45334623 2009-12-09 16:32 /var/log/Xorg.0.log
1260397977 -rw-r--r--. 1 root root 45401440 2009-12-09 16:32 /var/log/Xorg.0.log
1260397978 -rw-r--r--. 1 root root 45438671 2009-12-09 16:32 /var/log/Xorg.0.log
1260397979 -rw-r--r--. 1 root root 45490695 2009-12-09 16:32 /var/log/Xorg.0.log
1260397980 -rw-r--r--. 1 root root 45535287 2009-12-09 16:33 /var/log/Xorg.0.log
1260397981 -rw-r--r--. 1 root root 45594743 2009-12-09 16:33 /var/log/Xorg.0.log
1260397982 -rw-r--r--. 1 root root 45654199 2009-12-09 16:33 /var/log/Xorg.0.log
1260397983 -rw-r--r--. 1 root root 45713655 2009-12-09 16:33 /var/log/Xorg.0.log
1260397984 -rw-r--r--. 1 root root 45780472 2009-12-09 16:33 /var/log/Xorg.0.log
1260397985 -rw-r--r--. 1 root root 45832567 2009-12-09 16:33 /var/log/Xorg.0.log
1260397986 -rw-r--r--. 1 root root 45889148 2009-12-09 16:33 /var/log/Xorg.0.log
1260397987 -rw-r--r--. 1 root root 45944047 2009-12-09 16:33 /var/log/Xorg.0.log
1260397988 -rw-r--r--. 1 root root 46009688 2009-12-09 16:33 /var/log/Xorg.0.log
1260397989 -rw-r--r--. 1 root root 46055527 2009-12-09 16:33 /var/log/Xorg.0.log
1260397990 -rw-r--r--. 1 root root 46100119 2009-12-09 16:33 /var/log/Xorg.0.log

This problem is intermittent, but I'm not 100% sure what triggers it. I've found for instance if I run google earth, when I start to mouse over into the earth display part of the window, then Xorg starts logging again. If I pull the mouse out of that part of the window it stops. I can kill google earth and system seems to run stably after it has dumped all output to the log. Sometimes it seems like activity in the firefox window may be starting the problem, but I can't always the system to stop all the logging without rebooting. Sometimes after reboots, it just keeps going.

Any advice from experts would be appreciated.

Comment 10 william hanlon 2009-12-10 20:26:34 UTC
Created attachment 377583 [details]
output of udevadm during Xorg malfunction

manually set to text/plain to make it easier to access.

Comment 11 william hanlon 2009-12-10 20:36:32 UTC
also see bug #541184. It's identical to what I experience with i386.

Comment 12 william hanlon 2009-12-10 20:50:16 UTC
also see bug #528312.

Comment 13 Adam Williamson 2009-12-11 22:14:27 UTC

*** This bug has been marked as a duplicate of bug 528312 ***


Note You need to log in before you can comment on or make changes to this bug.